<?php

/**
 * @package Advneced Management For Services Sites
 * @link www.am4ss.com
 * @copyright All right reserved 2010
 * 02/01/2010 - 16:42 GMT
 */


session_start();
ob_start('ob_gzhandler');


if(!defined('Am4ss'))
{
define('Am4ss', true);
}

require('requires/class.db.php');
require('requires/class.am4ss.php');
require('requires/config.php');
include('requires/class.whm.php');
include('requires/functions.mobily.php');
require('libs/smarty.class.php');
require('language/ar.php');

$db = new Database($Config['DataBase']['Host'], $Config['DataBase']['User'], $Config['DataBase']['Password'], $Config['DataBase']['Name']);
$Smarty = new Smarty;
$Am4Ss = new am4ss;

$Smarty->assign('Am4Ss', $Am4Ss);
$db->Connection();
$Smarty->assign('_GET', $_GET);
$Smarty->assign('_POST', $_POST);
$Smarty->assign('_COOKIE', $_COOKIE);
$Smarty->assign('Device', $_COOKIE[COOKIES_PREFIX.'device']);
$Whm = new Whm;
if(! defined('IsInstaller'))
{
//  

$useremail = $Am4Ss->mksafe($_COOKIE[COOKIES_PREFIX.COOKIES_USEREMAIL], null, true);
$password = $Am4Ss->mksafe($_COOKIE[COOKIES_PREFIX.COOKIES_PASSWORD], null, true);

if(empty($useremail) || empty($password))
{
$userinfo['userfullname'] = $lang['visitor'];
$userinfo['usergroup'] = 0;
} elseif(!empty($useremail) && !empty($password))
{
$user_query = $db->query_read("select * from " . TABLES_PREFIX . "users where
					useremail = '$useremail' and password = '$password' and closed != '1'
						");
unset($useremail, $password);
if($db->num_rows($user_query) == 0)
{
$userinfo['username'] = $lang['visitor'];
$userinfo['usergroup'] = 0;
} elseif($db->num_rows($user_query) == 1)
{
$userinfo = $db->record($user_query);
}
}
$Smarty->register_function('_eval', 'eval');
//  

$sql_settings = $db->query_read("select * from ".TABLES_PREFIX."settings");

	while($record_settings = $db->record($sql_settings)):
	$settings["$record_settings[varname]"] = $record_settings['value'];
	endwhile;

unset($record_settings);
//   

$sql_ourworks = $db->query_read("select * from ".TABLES_PREFIX."our_works");
if($db->num_rows($sql_ourworks) > 0)
{
	while($record_ourworks = $db->record($sql_ourworks)):
	$ourwork[] = $record_ourworks;
	endwhile;
}
$Smarty->assign('ow', $ourwork);
unset($ourwork);

//    

$auctions = $db->query_read("select id,domainename,domaineext from ".TABLES_PREFIX."auctions");
if($db->num_rows($auctions) > 0)
{
	while($record_auctions = $db->record($auctions)):
	$auction[] = $record_auctions;
	endwhile;
}
$Smarty->assign('_auction', $auction);
unset($record_auctions);

// 

$sql_newpm = $db->query_read("select pmid from ".TABLES_PREFIX."pm where pmto = '".$Am4Ss->userinfo('userid')."' and viewed = '0'");
$Smarty->assign('newpm', $db->num_rows($sql_newpm));
//  

$sql_opinions = $db->query_read("select * from ".TABLES_PREFIX."opinions where status = '1' order by rand() limit 1");
if($db->num_rows($sql_opinions) > 0)
{
	$Smarty->assign('b_opinions', $db->record($sql_opinions));
}





//   

$sql = $db->query_read("select * from ".TABLES_PREFIX."blocks");
if($db->num_rows($sql) > 0)
{
	while($record = $db->record($sql)):
	$block[] = $record;
	endwhile;unset($record);
$Smarty->assign('blocks', $block);
}

if(! isset($_COOKIE[COOKIES_PREFIX.'style']))
{
$Smarty->template_dir = $Smarty->template_dir.'/'.$Config['style']['default'];
} else
{
if(is_dir('templates/'.$_COOKIE[COOKIES_PREFIX.'style']))
{
$Smarty->template_dir = $Smarty->template_dir.'/'.$_COOKIE[COOKIES_PREFIX.'style'];
} else
{
$Smarty->template_dir = $Smarty->template_dir.'/'.$Config['style']['default'];
}
}
$exp = explode('/', $Smarty->template_dir);
$Smarty->compile_id = $exp[1] . '-';
require($Smarty->template_dir.'/templates.php');

//  

$sql = $db->query_read("select * from ".TABLES_PREFIX."devices");
if($db->num_rows($sql) > 0)
{
	while($record = $db->record($sql)):
	$dvc[] = $record;
	endwhile; unset($record);
}
$Smarty->assign('total_devices', $db->num_rows($sql));
$Smarty->assign('dvc', $dvc);


if($Am4Ss->userinfo('usergroup') > 0)
{
//   
$sql_opended_tickets = $db->query_read("select id from ".TABLES_PREFIX."tickets where userid = '".$Am4Ss->userinfo('userid')."' and closed = '0'");
$Smarty->assign('total_opned_tickets', $db->num_rows($sql_opended_tickets));
//   
$sql_closed_tickets = $db->query_read("select id from ".TABLES_PREFIX."tickets where userid = '".$Am4Ss->userinfo('userid')."' and closed = '1'");
$Smarty->assign('total_closed_tickets', $db->num_rows($sql_closed_tickets));
$Smarty->assign('total_tickets', $db->num_rows($sql_closed_tickets) + $db->num_rows($sql_opended_tickets));unset($sql_opended_tickets, $sql_closed_tickets);

//   
$sql_payed_factures = $db->query_read("select id from ".TABLES_PREFIX."factures where userid = '".$Am4Ss->userinfo('userid')."' and payed = '1'");
$Smarty->assign('total_payed_factures', $db->num_rows($sql_payed_factures));
//  
$sql_notpayed_factures = $db->query_read("select id from ".TABLES_PREFIX."factures where userid = '".$Am4Ss->userinfo('userid')."' and payed = '0'");
$Smarty->assign('total_notpayed_factures', $db->num_rows($sql_notpayed_factures));
// total
$Smarty->assign('total_factures', $db->num_rows($sql_payed_factures) + $db->num_rows($sql_notpayed_factures));unset($sql_payed_factures, $sql_notpayed_factures);
//   
$sql_active_services = $db->query_read("select id from ".TABLES_PREFIX."services where userid = '".$Am4Ss->userinfo('userid')."' and status = '1'");
$Smarty->assign('total_active_services', $db->num_rows($sql_active_services));
$sql_desactive_services = $db->query_read("select id from ".TABLES_PREFIX."services where userid = '".$Am4Ss->userinfo('userid')."' and status = '0'");
$Smarty->assign('total_desactive_services', $db->num_rows($sql_desactive_services));
$Smarty->assign('total_services', $db->num_rows($sql_active_services) + $db->num_rows($sql_desactive_services));
unset($sql_active_services, $sql_desactive_services);
}


 	$path ="./templates";
	$dh = opendir($path);
	$count=1;
		while ($file = readdir($dh)){
				if(is_dir("$path/$file")) {
				{
				if($file != "." && $file != ".."){
				$countarray[] = $count++;
         		$stylearray[] = $file;
         			}
				}
			}
		}
	closedir($dh);
	$array = array_combine($countarray,$stylearray);
	$Smarty->assign("stylelist",style($array));

//  
$sql = $db->query_read("select * from ".TABLES_PREFIX."lessons_categories");
if($db->num_rows($sql) > 0)
{
	while($record = $db->record($sql)):
	$idx[] = $record;
	endwhile;unset($sql, $record);$Smarty->assign('idx', $idx);
}

if(!stristr(file_get_contents($Smarty->template_dir.'/footer.tpl'), 'Powered By <a href="http://am4ss.com"><font color="#FF000">AM4SS</font></a>'))
{
	die('OOPS, You did remove Copyrights from \'footer.tpl\' template !!');
}

//   
if($Am4Ss->settings('block_menu') != '0')
{
$sql = $db->query_read("select * from ".TABLES_PREFIX."block_links");
if($db->num_rows($sql) > 0)
{
	while($record = $db->record($sql)):
	$bl[] = $record;
	endwhile;unset($sql, $record);
$Smarty->assign('bl', $bl);
}
}

eval($bn);

}


?>